import {Context, createContext, Dispatch, SetStateAction} from "react";

export type SupportedLocale = 'fr' | 'en';

export function isSupportedLocale(value: string | null): value is SupportedLocale {
    return value === 'fr' || value === 'en';
}

export interface LangContextProps {
    lang: SupportedLocale;
    setLang: Dispatch<SetStateAction<SupportedLocale>>;
}

export const LangContext: Context<LangContextProps> = createContext<LangContextProps>({
    lang: 'fr',
    setLang: (): void => {
    }
});